public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/qupzilla/
Date: Thu, 12 Oct 2017 19:00:31 +0000 (UTC)	[thread overview]
Message-ID: <1507834817.0497b79b29919db1ceeced26fd93eb739a500499.asturm@gentoo> (raw)

commit:     0497b79b29919db1ceeced26fd93eb739a500499
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 12 16:49:47 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Oct 12 19:00:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0497b79b

www-client/qupzilla: 2.2.0 version bump

Added xdg-utils.eclass, new PLOCALES, bump PLUGINS_VERSION

Package-Manager: Portage-2.3.11, Repoman-2.3.3

 www-client/qupzilla/Manifest              |   2 +
 www-client/qupzilla/qupzilla-2.2.0.ebuild | 118 ++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/www-client/qupzilla/Manifest b/www-client/qupzilla/Manifest
index 120c8704fcc..2d29184bc23 100644
--- a/www-client/qupzilla/Manifest
+++ b/www-client/qupzilla/Manifest
@@ -1,2 +1,4 @@
 DIST QupZilla-2.1.2.tar.xz 2767560 SHA256 d8f860d8c41bbf2bf78889aef3ffed118a34b2754f7e114ad44eb2c6103ee58a SHA512 d09a394ba70ae0f7f908940a26d6554a3706b6638c197d16b75e1e5855f76015c8e13b7155c40dacee3a38080a0c277d9410eaf07cf912dc4b295eafe1ff6343 WHIRLPOOL 1da85e81854d41e62bd28b71e9509571c789cc73c2a550a7165efa9dc65bb1099f8de17dafcdbbbcdf6498403e5e8458a82042f1090355c4df67144cb4fed59b
+DIST QupZilla-2.2.0.tar.xz 2465576 SHA256 32cb6d4e5852781146ca5f1a1cf8e77da42a71fc096272e2030d83ea865c7818 SHA512 82beb4593c6234e30e91401b23063f18427dc8c49d1ee6c9e447cdec03160655b9e077365ab30af7457d6a20d01fd0bb5c2f30d0c0b9ba916c12d231ebb858b4 WHIRLPOOL 449bedcc2c225434a3e88cbc3ef5d978a425f056a625f9079d29bc1d30aebef15c3ac81a3357a0191f3e2e5378c0bce6d0da9e5ec6a39bba1e7182759bf56b68
 DIST qupzilla-plugins-2016.05.02.tar.gz 425314 SHA256 276491a89daf1b64d6eab861b54d313e85c815d322bf51d47491f00ad22f55bc SHA512 b294ecb2372b3267603a43bc7412ab75d2cd29a8c4667331f0d2c74e3b0b99d0c2a005b9e4854c6d777894522bba9fb3b1607e85e8da6dcbaa760c9ddc6288f2 WHIRLPOOL 471807dc70dd3ea072f1e429a6e67ea97ecd5eadc02ac19debdcddfca4f5cb8e1767ad754aed1ff8a557f0734460a87b4e2d5e01ea57d07c473f48b006e32ef1
+DIST qupzilla-plugins-2017.03.26.tar.gz 430926 SHA256 00967e12d319da991711e12767b7c7fe017dea1a7f1ec06627c2be8b13ce8687 SHA512 3b04b41208dddd25fd58937986cf12f2b521cf78a64380b915d46735ada3f4776f914056c5511daa781c89867d0309af7cbf833eb71dfa4b14b6b9ba25d80315 WHIRLPOOL 08124559291c3ccc387a9f3195060952cb4bed5e17920c472e7650d223b910cc60ebecdf831b4620b95ca22ec918add25c8009752098cec7a29ad5dad303ee9f

diff --git a/www-client/qupzilla/qupzilla-2.2.0.ebuild b/www-client/qupzilla/qupzilla-2.2.0.ebuild
new file mode 100644
index 00000000000..694a6b84eaf
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-2.2.0.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="ar_SA bg_BG ca_ES cs_CZ da_DK de_DE el_GR es_419 es_ES es_MX es_VE
+	eu_ES fa_IR fi_FI fr_FR gl_ES he_IL hr_HR hu_HU id_ID is it_IT ja_JP
+	ka_GE lg lt lv_LV nl_NL nqo pl_PL pt_BR pt_PT ro_RO ru_RU sk_SK sl_SI sr
+	sr@ijekavian sr@ijekavianlatin sr@latin sv_SE tr_TR uk_UA uz@Latn
+	zh_CN zh_HK zh_TW"
+
+PLUGINS_HASH="80fea7df7765fdf9c9c64fdb667052b25f1c0a22"
+PLUGINS_VERSION="2017.03.26" # if there are no updates, we can use the older archive
+
+inherit l10n qmake-utils xdg-utils
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/QupZilla/${PN}.git"
+else
+	MY_P=QupZilla-${PV}
+	SRC_URI="https://github.com/QupZilla/${PN}/releases/download/v${PV}/${MY_P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~x86"
+	S=${WORKDIR}/${MY_P}
+fi
+
+DESCRIPTION="A cross-platform web browser using QtWebEngine"
+HOMEPAGE="https://www.qupzilla.com/"
+SRC_URI+=" https://github.com/QupZilla/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> ${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="dbus debug gnome-keyring kwallet libressl nonblockdialogs"
+
+RDEPEND="
+	>=dev-qt/qtcore-5.8:5
+	>=dev-qt/qtdeclarative-5.8:5[widgets]
+	>=dev-qt/qtgui-5.8:5
+	>=dev-qt/qtnetwork-5.8:5[ssl]
+	>=dev-qt/qtprintsupport-5.8:5
+	>=dev-qt/qtsql-5.8:5[sqlite]
+	>=dev-qt/qtwebchannel-5.8:5
+	>=dev-qt/qtwebengine-5.8:5[widgets]
+	>=dev-qt/qtwidgets-5.8:5
+	>=dev-qt/qtx11extras-5.8:5
+	x11-libs/libxcb:=
+	dbus? ( >=dev-qt/qtdbus-5.8:5 )
+	gnome-keyring? ( gnome-base/gnome-keyring )
+	kwallet? ( kde-frameworks/kwallet:5 )
+	libressl? ( dev-libs/libressl:= )
+	!libressl? ( dev-libs/openssl:0= )
+"
+DEPEND="${RDEPEND}
+	>=dev-qt/linguist-tools-5.8:5
+	>=dev-qt/qtconcurrent-5.8:5
+	virtual/pkgconfig
+"
+
+DOCS=( AUTHORS BUILDING.md CHANGELOG FAQ README.md )
+
+src_unpack() {
+	if [[ ${PV} == *9999 ]]; then
+		git-r3_src_unpack
+	fi
+	default
+}
+
+src_prepare() {
+	# get extra plugins into qupzilla build tree
+	mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_HASH}/plugins/* src/plugins/ || die
+
+	# Fix filename, upstream commit 1d34e97c3705adf3565ea3dacc0268a76aa579ec
+	mv linux/appdata/or{,g}.qupzilla.QupZilla.appdata.xml || die
+
+	rm_loc() {
+		# remove localizations the user has not specified
+		sed -i -e "/${1}.ts/d" translations/translations.pri || die
+		rm translations/${1}.ts || die
+	}
+
+	# remove outdated prebuilt localizations
+	rm -rf bin/locale || die
+
+	# remove empty locale
+	rm translations/empty.ts || die
+
+	l10n_find_plocales_changes translations '' .ts
+	l10n_for_each_disabled_locale_do rm_loc
+
+	default
+}
+
+src_configure() {
+	# see BUILDING document for explanation of options
+	export \
+		QUPZILLA_PREFIX="${EPREFIX}/usr" \
+		USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+		DEBUG_BUILD=$(usex debug true '') \
+		DISABLE_DBUS=$(usex dbus '' true) \
+		GNOME_INTEGRATION=$(usex gnome-keyring true '') \
+		KDE_INTEGRATION=$(usex kwallet true '') \
+		NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs true '')
+
+	eqmake5
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+	einstalldocs
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


             reply	other threads:[~2017-10-12 19:00 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-10-12 19:00 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-03-24 15:53 [gentoo-commits] repo/gentoo:master commit in: www-client/qupzilla/ Mikle Kolyada
2018-02-07  2:32 Andreas Sturmlechner
2018-02-01  1:34 Andreas Sturmlechner
2018-01-20 22:50 Andreas Sturmlechner
2018-01-20 22:50 Andreas Sturmlechner
2018-01-17 19:08 Andreas Sturmlechner
2017-12-28 10:43 Andreas Sturmlechner
2017-12-28 10:43 Andreas Sturmlechner
2017-12-25 10:26 Andreas Sturmlechner
2017-12-21  9:44 Michael Palimaka
2017-12-21  9:44 Michael Palimaka
2017-12-05 17:46 Andreas Sturmlechner
2017-12-05 17:46 Andreas Sturmlechner
2017-11-09 19:18 Andreas Sturmlechner
2017-09-29  3:16 Michael Palimaka
2017-09-29  3:16 Michael Palimaka
2017-08-31 15:47 Chí-Thanh Christopher Nguyễn
2017-08-27  7:14 Michael Palimaka
2017-03-17 18:47 Andreas Sturmlechner
2017-02-25 19:42 Andreas Sturmlechner
2017-02-25 19:42 Andreas Sturmlechner
2017-01-26 14:55 Michael Palimaka
2017-01-26 14:53 Agostino Sarubbo
2017-01-26 14:45 Agostino Sarubbo
2016-10-28 14:31 Michael Palimaka
2016-10-28 14:31 Michael Palimaka
2016-10-08 16:39 Michael Palimaka
2016-10-08 16:37 Michael Palimaka
2016-10-06 17:59 Michael Palimaka
2016-06-23 18:08 Michael Palimaka
2016-04-28 19:59 Davide Pesavento
2016-02-14 14:12 Michael Palimaka
2016-01-23 16:59 Agostino Sarubbo
2016-01-22 14:24 Davide Pesavento
2015-12-15 17:14 Michael Palimaka
2015-11-24 14:54 Jeroen Roovers
2015-11-21  7:11 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1507834817.0497b79b29919db1ceeced26fd93eb739a500499.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox